#!/usr/bin/env bash

#
# Copyright 2020-present Open Networking Foundation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Build steps for bmv2

# exit on errors
set -eu -o pipefail

export ONOS_ROOT=`pwd`

echo "Step 1 - Build fabric.p4 for bmv2"
cd $ONOS_ROOT/${RESOURCES_PATH}
make all

echo "Step 2 - Checking bmv2 artifacts"
modified=$(git status --porcelain)
if [ -n "$modified" ]; then
    echo "The following P4 build artifacts do not correspond to the expected ones,"
    echo "please run the Makefile locally before pushing a new change:"
    echo "$modified"
    exit 1
fi

echo "Build for bmv2 done"
